Subject: RE: Allow logical replication to copy tables in binary format

From: "Hayato Kuroda (Fujitsu)" <[email-masked]>
Date: Mon, 20 Mar 2023 04:13:29 +0000

Dear Melih,

Thank you for updating the patch.
I checked your added description about initial data sync and I think it's OK.

Few minor comments:

01. copy_table

```
+	List 	   *options = NIL;
```

I found a unnecessary blank just after "List". You can remove it and align definition.

02. copy_table

```
+		options = lappend(options, makeDefElem("format", (Node *) makeString("binary"), -1));
```

The line seems to exceed 80 characters. How do you think to change like following?

```
		options = lappend(options,
						  makeDefElem("format",
									  (Node *) makeString("binary"), -1));
```

Best Regards,
Hayato Kuroda
FUJITSU LIMITED